: Class TreeTableModelEvent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.widgets
Class TreeTableModelEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--grendel.widgets.TreeTableModelEvent

public class TreeTableModelEvent
extends java.util.EventObject

A TreeTableDataModel event. Used for reporting which node and possibly which child nodes were involved in an event.

See Also:
  `TreeTableDataModel`, `TreeTableModelListener`, Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TreeTableModelEvent(java.lang.Object aSource, TreePath aPath)` Constructor for event with a TreePath.
`TreeTableModelEvent(java.lang.Object aSource, TreePath aPath, java.lang.Object[] aChildren)` Constructor for event with a TreePath and children.

Method Summary
`java.lang.Object[]` | `getChildren()`
`TreePath` | `getPath()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeTableModelEvent

    public TreeTableModelEvent(java.lang.Object aSource,
                               TreePath aPath)

  Constructor for event with a TreePath.

### TreeTableModelEvent

    public TreeTableModelEvent(java.lang.Object aSource,
                               TreePath aPath,
                               java.lang.Object[] aChildren)

  Constructor for event with a TreePath and children.

Method Detail

### getPath

    public TreePath getPath()

  Returns:
    The TreePath associated with this event

### getChildren

    public java.lang.Object[] getChildren()

  Returns:
    The node children associated with this event. Can be null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD